//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using CommunityServer.Components;

namespace CommunityServer.Controls {
	
	/// <summary>
	/// A transparent image used for layout
	/// </summary>
	public class SpacerImage : WebControl {
		
		protected override ControlCollection CreateControlCollection() {
			return new EmptyControlCollection( this );
		}

		protected override HtmlTextWriterTag TagKey {
			get {
				return HtmlTextWriterTag.Img;
			}
		}


		protected override void AddAttributesToRender(HtmlTextWriter writer) {
			base.AddAttributesToRender( writer );
			writer.AddAttribute( HtmlTextWriterAttribute.Src, Globals.GetSkinPath() + "/images/spacer.gif" );
		}


	}
}
